<%#
# Application Layout
This view template is used as the layout
for every page that Administrate generates.
By default, it renders:
- Sidebar for navigation
- Content for a search bar
  (if provided by a `content_for` block in a nested page)
- Flashes
- Links to stylesheets and Javascripts
%>

<!DOCTYPE html>
<html lang="<%= I18n.locale %>">
<head>
  <meta charset="utf-8" />
  <meta name="ROBOTS" content="NOODP" />
  <meta name="viewport" content="initial-scale=1" />
  <title><%= content_for(:title) %> | kath.de CMS</title>

  <%= stylesheet_link_tag "https://cdn.jsdelivr.net/simplemde/latest/simplemde.min.css",
                          "https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css",
                          "https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.19.0/addon/dialog/dialog.min.css" %>

  <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
  <%= csrf_meta_tags %>
</head>

<body>

  <div class="app-container">

    <div class="sidebar">
      <%= render "admin/application/sidebar" -%>
    </div>

    <main class="main-content" role="main">

      <% if content_for?(:header) %>
        <% content_for(:header) %>
      <% else %>
        <header class="header">
          <h1 class="header__heading" id="page-title"><%= content_for(:title) %></h1>
          <div class="header__actions">
            <%= content_for(:header_actions) %>
          </div>
          <%= render 'helper/breadcrumbs' %>
        </header>
      <% end %>

      <%= render "admin/application/flashes" -%>
      <%= content_for(:search) %>

      <%= yield %>
    </main>

  </div>

  <%= javascript_include_tag "https://cdn.jsdelivr.net/simplemde/latest/simplemde.min.js" %>
  <%= javascript_include_tag "https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.19.0/codemirror.min.js",
                             "https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.19.0/mode/yaml/yaml.min.js",
                             "https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.19.0/addon/dialog/dialog.min.js",
                             "https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.19.0/addon/display/fullscreen.min.js",
                             "https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.19.0/addon/selection/active-line.js" %>

  <%#= render "administrate/application/javascript" %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload', async: Rails.env.production? %>
  <%= javascript_include_tag "https://cdnjs.cloudflare.com/ajax/libs/selectize.js/0.12.4/js/standalone/selectize.js" %>
</body>
</html>
